Part: Crea forma da mesh

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part ShapeFromMesh and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Part BoxSelection.svg Box di selezione Pagina precedente:
Pagina successiva: Crea punti da mesh Part PointsFromMesh.svg Arrow-right.svg

Part ShapeFromMesh.svg ‏‎Crea forma da mesh

Nome nel codice
Part ShapeFromMesh
Posizione nel menu
Part → Crea forma da mesh...
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Converti in solido, Affina forma, Crea punti da mesh


Introduction

Introduzione

Questo comando crea una forma da un oggetto mesh. In FreeCAD gli oggetti mesh hanno limitate capacità di editing, convertendoli in forme permette di utilizzarli con molti più strumenti (vedere anche le Note).

The inverse operation is Mesh FromPartShape.svg Mesh FromPartShape from the Workbench Mesh.svg Mesh Workbench.

Usage

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Scegliere Part → Part ShapeFromMesh.svg Crea forma da mesh dal menu in alto.
  3. Un menu pop-up chiede di definire la tolleranza per la chiusura (valore di default: 0,1)
  4. Dall'oggetto mesh viene creato un nuovo oggetto forma indipendente.

Limitazioni

Non sono disponibili l'analisi e la convalida dell'oggetto mesh.

After creation of a Shape, it may be useful to use Convert to solid (necessary for boolean operations) and Part RefineShape.svg Refine shape.

Links

Script

Creating a Shape from a Mesh can be done by using the makeShapeFromMesh method from a Part TopoShape; you need to specify the source mesh and tolerance, and assign the result to a new Part Feature object.

Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.

import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()

solid = doc.addObject("Part::Feature", "Shape")
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)

solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()
Arrow-left.svg Part BoxSelection.svg Box di selezione Pagina precedente:
Pagina successiva: Crea punti da mesh Part PointsFromMesh.svg Arrow-right.svg